input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  appearance: none;
  margin: 0; /* Vous pouvez ajuster la marge si nécessaire */
}
input[type="number"] {
    -moz-appearance: textfield;
    appearance: textfield;
  }
  
.pass-row{
    background-color: transparent;
    border-radius: 10px;
    padding: 15px;
}

.pass-row.ticket-7{
    background-color: rgba(123, 237, 159,0.2);
}


.pass-row.ticket-5,.pass-row.ticket-6{
    /*background-color: rgba(30, 144, 255, 0.2);*/
}


.pass-row.ticket-1,.pass-row.ticket-2{
    /*background-color: rgba(250, 211, 144,0.2);*/
}

.pass-row.ticket-1,.pass-row.ticket-3,
.pass-row.ticket-1,.pass-row.ticket-4{
    background-color: rgba(223, 228, 234,0.1);
}

.pass-container, .pass-price-container, .pass-qty-container{
    display: flex;
    align-items: start;
    flex-direction: column;
    justify-content: center;
    height: 100%;
}

.pass-price-container{
    align-items: flex-end;
}

.text.text-notif{
    font-size: 18px;
}

.booking-notif{
    font-size: 16px;
}

.bloc-notif .btn-title{
    font-size: 18px;
}

.pass-price-container .promo{
    text-decoration: line-through;
    color: crimson;
    font-size: 16px;
  }

.pass-qty-container{
    align-items: flex-end;
}

.label-input-h, .label-input-h-t{
    font-size: 18px;
    font-weight: 500;
    text-transform: uppercase;
}

.label-input-desc, .label-input-desc-t{
    font-size: 14px;
    line-height: 24px;
    font-weight: 400;
}


.custom-nav{
    flex-direction: row !important;
    justify-content: space-between;
}

.ns-form {
    height: 50px !important;
    line-height: 50px !important;
}


.label-price{
    font-size: 18px;
    font-weight: 600;
    color: #47727d;
}

.label-price.total{
    font-weight: 700;
    color: #47727d;
}


.pass-container-t, .pass-price-container-t, .pass-qty-container-t{
    display: flex;
    align-items: start;
    flex-direction: column;
    justify-content: center;
    height: 100%;
}

.pass-price-container-t{
    align-items: flex-end;
}

.qty-container-t{
    display: flex;
    align-items: center;
}

.pass-qty-container-t{
    align-items: flex-end;
    text-align: right;
}

.input-qty-total{
    cursor: not-allowed;
    border: none;
    text-align: right;
    font-size: 16px;
}


.theme-btn{
    display: inline-block;
    border: 1px solid #47727d;
    border-radius: 5px;
    padding: 5px 10px;
    margin-right: 10px;
    margin-top: 30px;
}

.theme-btn i {
    margin-right: 10px;
}

.btn-style-two{
    background-color: #47727d;
    color: #ffffff;
}

.btn-style-two:hover{
    background-color: rgba(0, 0, 0,0.01);

    color: #47727d;
}


.error-not{
    border: 2px solid;
    border-radius: 100%;
    padding: 20px;
    width: 100px;
    height: 100px;
    display: flex;
    align-self: center;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    margin-bottom: 30px;
    color: rgba(127, 143, 166,1.0);
}

.echec{
    color: rgba(235, 47, 6,1.0);
}
.error-not i{
    font-size: 3em;
}

.success-not{
    color: #47727d;
}

.option-row{
    border: none !important;
    /*margin-top: 20px;*/
}

.option-row .checkbox-container{
    display: flex;
    line-height: 1.3;
    margin-bottom: 10px;
}
.option-row .checkbox-container input{
    margin-right: 15px;
}
.checkbox-container input[type="checkbox"], .checkbox-container label {
    cursor: pointer;
    font-weight: 500;
}

.checkbox-container input[type="checkbox"]:disabled + label {
    opacity: 0.3;
    color: #888; 
    cursor: not-allowed; 
}

.checkbox-container input[type="checkbox"]{
    margin-top: 3px;
    min-width: 20px;
    min-height: 20px;
}

.box-options{
    display: none;
}

.guest-name{
    display: block;
    font-weight: 600;
    color: #47727d;
}

.base_pass .pass-row{
    background-color: rgba(76, 209, 55, 0.2);
}

@media screen and (max-width: 768px) {
        
    .pass-price-container, .pass-price-container-t{
        align-items: center;
        margin-top: 30px;
    }

    .qty-container, .qty-container-t{
        display: flex;
        align-items: center;
        margin-top: 20px;
    }

    .pass-qty-container, .pass-qty-container-t{
        align-items: center;
        text-align: center;
        margin-top: 20p;
    }

    .pass-row{
        border: 1px solid  rgba(127, 143, 166,1.0);
    }

    .box-data{
        padding-left: 5px;
        padding-right: 5px;
        border-width: 1px;
    }

    body{
        margin: 1rem !important;
    }

    .custom-nav{
        flex-direction: column !important;
    }
}